# ImagickPixelIterator::newPixelRegionIterator

(PECL imagick 2.0.0)

ImagickPixelIterator::newPixelRegionIterator — Returns a new pixel iterator

### Description

ImagickPixelIterator::newPixelRegionIterator ( Imagick `$wand` , int `$x` , int `$y` , int `$columns` , int `$rows` ) : bool
Warning

This function is currently not documented; only its argument list is available.

Returns a new pixel iterator.

### Parameters

`wand`

`x`

`y`

`columns`

`rows`

### Return Values

Returns a new ImagickPixelIterator on success; on failure, throws ImagickPixelIteratorException.